use ap;
SELECT 
    vendor_name,
    invoice_number,
    invoice_date,
    invoice_total - payment_total - credit_total AS balance_due,
    ROUND((invoice_total - payment_total - credit_total) / vendor_total_balance_due * 100,
            2) AS percent_of_vendor,
    ROUND((invoice_total - payment_total - credit_total) / overall_balance_due * 100,
            2) AS percent_of_overall
FROM
    vendors v
        JOIN
    invoices i ON v.vendor_id = i.vendor_id
        JOIN
    unpaid_invoice_balances_by_vendor_view USING (vendor_name)
        JOIN
    overall_unpaid_invoice_balance_view
WHERE
    invoice_total - payment_total - credit_total > 0
ORDER BY vendor_name , invoice_number
